# Visualization
TKV3d
Graphic3d

# Graphic3d_GraphicDevice Class Reference

This class allows the definition of the Advanced
Graphic Device
Warning: An Graphic Device is defined by a connexion
"host:server.screen"
.

`#include <Graphic3d_GraphicDevice.hxx>`

Inheritance diagram for Graphic3d_GraphicDevice:

[legend]

## Public Member Functions

Standard_EXPORT | Graphic3d_GraphicDevice (const Standard_CString Connexion, const Xw_TypeOfMapping Mapping=Xw_TOM_COLORCUBE, const Standard_Integer Ncolors=0, const Standard_Boolean UseDefault=Standard_True)
| Creates a GraphicDevice .
Standard_EXPORT | Graphic3d_GraphicDevice (const Aspect_Display DisplayHandle)
| Creates a GraphicDevice from the Display structure .
Standard_EXPORT void | Destroy ()
| Deletes the GraphicDevice <me>. .
| ~Graphic3d_GraphicDevice ()
Standard_EXPORT Handle_Aspect_GraphicDriver | GraphicDriver () const
| Returns the GraphicDriver. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT void | SetGraphicDriver ()
| Sets the GraphicDriver. .
Standard_EXPORT Standard_Boolean | ShrIsDefined (Standard_CString &aShr) const
| Returns Standard_True if the shared library is defined by the environment. (variables : CSF_GraphicShr, CSF_Graphic3dLib, GRAPHICHOME) .

## Private Attributes

Handle_Graphic3d_GraphicDriver | MyGraphicDriver

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_GraphicDevice::Graphic3d_GraphicDevice | ( | const Standard_CString | Connexion,
|  | const Xw_TypeOfMapping | Mapping = `Xw_TOM_COLORCUBE`,
|  | const Standard_Integer | Ncolors = `0`,
|  | const Standard_Boolean | UseDefault = `Standard_True`
| ) |

Standard_EXPORT Graphic3d_GraphicDevice::Graphic3d_GraphicDevice | ( | const Aspect_Display | DisplayHandle | ) |

Graphic3d_GraphicDevice::~Graphic3d_GraphicDevice | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void Graphic3d_GraphicDevice::Destroy | ( |  | ) | `[virtual]`

| Reimplemented from Xw_GraphicDevice.

Standard_EXPORT Handle_Aspect_GraphicDriver Graphic3d_GraphicDevice::GraphicDriver | ( |  | ) | const`[virtual]`

| Reimplemented from Xw_GraphicDevice.

Standard_EXPORT const Graphic3d_GraphicDevice::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Xw_GraphicDevice.

Standard_EXPORT void Graphic3d_GraphicDevice::SetGraphicDriver | ( |  | ) | `[private]`

Standard_EXPORT Standard_Boolean Graphic3d_GraphicDevice::ShrIsDefined | ( | Standard_CString & | aShr | ) | const`[private]`

## Field Documentation

Handle_Graphic3d_GraphicDriver Graphic3d_GraphicDevice::MyGraphicDriver `[private]`

The documentation for this class was generated from the following file:

- Graphic3d_GraphicDevice.hxx